Bug 424184 - Wrong message marked when using message window
Summary: Wrong message marked when using message window
Status: ASSIGNED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.14.2
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-14 08:50 UTC by Grósz Dániel
Modified: 2020-09-16 11:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Grósz Dániel 2020-07-14 08:50:35 UTC
SUMMARY
When marking a message (un)read, (un)important etc. from the menu of a popup message window, and a different message is selected in the message list, the latter is marked.

STEPS TO REPRODUCE
1. Double click a message in the message list to open it in its own window.
2. Click on another message in the list.
3. In the popup window opened in Step 1., click Message / Mark Message / Mark Message as Unread (or Read, Important/Unimportant etc.)

OBSERVED RESULT
The status of the message selected in the message list is changed.

EXPECTED RESULT
The status of the message in the window is changed.

SOFTWARE/OS VERSIONS
Linux: openSUSE Tumbleweed 20200708
KDE Plasma Version: 5.19.2
KDE Frameworks Version: 5.71.0
Qt Version: 5.15.0
Comment 1 Laurent Montel 2020-09-14 06:08:30 UTC
I confirm it.
I will fix soon.
Comment 2 Laurent Montel 2020-09-15 05:16:40 UTC
Git commit d0d53896f54f0d661d6079561382f0eda28006e9 by Laurent Montel.
Committed on 15/09/2020 at 05:16.
Pushed by mlaurent into branch 'master'.

Create own akonadi action

M  +1    -0    src/kmmainwidget.cpp
M  +19   -0    src/kmreadermainwin.cpp
M  +5    -1    src/kmreadermainwin.h
M  +16   -15   src/messageactions.cpp
M  +2    -0    src/messageactions.h

https://invent.kde.org/pim/kmail/commit/d0d53896f54f0d661d6079561382f0eda28006e9
Comment 3 Laurent Montel 2020-09-16 11:52:57 UTC
Git commit 43f98283e3893f78b6ebbdec16fcad823bad1c75 by Laurent Montel.
Committed on 16/09/2020 at 11:52.
Pushed by mlaurent into branch 'master'.

Continue to fix 424184

M  +14   -1    src/kmreadermainwin.cpp
M  +1    -0    src/kmreadermainwin.h
M  +5    -0    src/messageactions.cpp
M  +2    -0    src/messageactions.h

https://invent.kde.org/pim/kmail/commit/43f98283e3893f78b6ebbdec16fcad823bad1c75